Overview | Modules | Class Hierarchy | Classes | Members
# tlp::StringProperty Class Reference `#include <StringProperty.h>` Inherits tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >< StringType, StringType, StringAlgorithm >. Inheritance diagram for tlp::StringProperty: [legend] Collaboration diagram for tlp::StringProperty: [legend] List of all members. ## Public Member Functions StringProperty (Graph *g, std::string n="") PropertyInterface * clonePrototype (Graph *, const std::string &) ## Friends class StringAlgorithm ## Constructor & Destructor Documentation
tlp::StringProperty::StringProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) | `[inline]`
## Member Function Documentation
PropertyInterface* tlp::StringProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`
| Create an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied. Implements tlp::PropertyInterface.
## Friends And Related Function Documentation
friend class StringAlgorithm`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010